Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885442 - Console doesn't load in iOS Safari when using self-signed certificates
Summary: Console doesn't load in iOS Safari when using self-signed certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1885343
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-06 01:51 UTC by OpenShift BugZilla Robot
Modified: 2020-12-21 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-21 13:23:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6843 0 None closed [release-4.6] Bug 1885442: Fallback to GQL HTTP on iOS devices 2020-12-14 09:43:06 UTC
Red Hat Product Errata RHSA-2020:5614 0 None None None 2020-12-21 13:24:13 UTC

Description OpenShift BugZilla Robot 2020-10-06 01:51:56 UTC
+++ This bug was initially created as a clone of Bug #1885343 +++

If iOS Safari does not trust the console certificate, it blocks WebSockets. This causes console to only show a white screen since we rely on WebSockets for API discovery using GraphQL.

Comment 6 Yadan Pei 2020-12-17 06:50:34 UTC
Follow the steps in https://docs.openshift.com/container-platform/4.6/networking/ingress-operator.html#nw-ingress-setting-a-custom-default-certificate_configuring-ingress and https://docs.openshift.com/container-platform/4.6/networking/configuring-a-custom-pki.html#configuring-a-custom-pki to set customized certificates for web console, then visit console in iPhone 11 Safari, web console can be loaded successfully instead if blank page


Verified on 4.6.0-0.nightly-2020-12-16-201440

Comment 8 errata-xmlrpc 2020-12-21 13:23:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614


Note You need to log in before you can comment on or make changes to this bug.